Forum: Ruby on Rails [ANN] Engines 1.1.2

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
James A. (Guest)
on 2006-05-11 14:08
(Received via mailing list)
I've just pushed out a new bug-fix release for the Engines plugin.
Most notably, it's now super careful (to the point of paranoia) about
ensuring that the right version of Rails is loaded, and should no
longer cause any issues where it ignores vendor/rails. Full CHANGELOG
is here:

  http://dev.rails-engines.org/repository/file/engin...

And you can find the new releases at the following SVN urls:

  http://svn.rails-engines.org/plugins/engines
  http://svn.rails-engines.org/engines/tags/rel_1.1.2

(the latter is preferable for production applications; the former
exists for the benefit of script/plugin users, RadRails and so on)
Wybo W. (Guest)
on 2006-05-11 18:28
(Received via mailing list)
I just updated it into my source using svn...

Now I get this error, which I wasn't getting before...

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:21:in
`require__': no such file to load -- authenticated_user
(MissingSourceFile)
        from
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:21:in `require'
        from
/usr/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
`require'
        from
/home/wybo/logilogi/trunk/config/../vendor/plugins/login_engine/init_engine.rb:6:in
`start_engine'
        from
/home/wybo/logilogi/trunk/config/../vendor/plugins/engines/lib/engines.rb:183:in
`start_engine'
        from
/home/wybo/logilogi/trunk/config/../vendor/plugins/engines/lib/engines.rb:132:in
`start'
        from
/home/wybo/logilogi/trunk/config/../vendor/plugins/engines/lib/engines.rb:131:in
`each'
        from
/home/wybo/logilogi/trunk/config/../vendor/plugins/engines/lib/engines.rb:131:in
`start'
        from /home/wybo/logilogi/trunk/config/environment.rb:345
        from ./test/unit/../test_helper.rb:2:in `require'
        from ./test/unit/../test_helper.rb:2
        from test/unit/link_test.rb:1:in `require'
        from test/unit/link_test.rb:1

Anyone having the same problem ?

I'm using Rails 1.1.2,

Inside environment.rb there's just (relevant to engines):

module LoginEngine
  config :salt, "xxxxxx"
  config :email_from, 'removed_email_address@domain.invalid'
  config :admin_email, 'removed_email_address@domain.invalid'
  config :app_name, 'LogiLogi.org'
  config :app_url, {:controller => 'logi', :action => 'view'}
  config :changeable_fields,
['firstname','lastname','country','state','city','time_zone_name']
end

Engines.start :login

greetings,

Wybo W.
Tom (Guest)
on 2006-05-11 18:46
I'm experiencing exactly the same problem
James A. (Guest)
on 2006-05-11 19:00
(Received via mailing list)
More information here: http://dev.rails-engines.org/tickets/156

- james
Philip (Guest)
on 2006-05-11 22:24
James A. wrote:
> I've just pushed out a new bug-fix release for the Engines plugin.
> Most notably, it's now super careful (to the point of paranoia) about
> ensuring that the right version of Rails is loaded, and should no
> longer cause any issues where it ignores vendor/rails. Full CHANGELOG
> is here:
>
>   http://dev.rails-engines.org/repository/file/engin...
>
> And you can find the new releases at the following SVN urls:
>
>   http://svn.rails-engines.org/plugins/engines
>   http://svn.rails-engines.org/engines/tags/rel_1.1.2
>
> (the latter is preferable for production applications; the former
> exists for the benefit of script/plugin users, RadRails and so on)

Changelog doesn't mention it, but does this fix the issue of cache
sweepers not working as explained here:
http://www.ruby-forum.com/topic/61586

?

-philip
James A. (Guest)
on 2006-05-12 00:25
(Received via mailing list)
The ticket for that issue is here:

  http://dev.rails-engines.org/tickets/137

I couldn't replicate it, so I'm waiting for someone to present a
minimal, self-contained demonstration of the issue. Fancy giving it a
shot?

- james
Henrik =?iso-8859-1?Q?Orm=E5sen?= (Guest)
on 2006-05-12 00:28
(Received via mailing list)
Hei James!

My app dies silently now. Copying over the old 1.1.1 engines.rb file
solves this. Se you have done a lot of changes in this file, and I
haven't had the time to look closer at it at the moment.

- Henrik
James A. (Guest)
on 2006-05-12 00:35
(Received via mailing list)
If you're experiencing issues with a production system, simply
checkout/set your external to the previous tag (presuming that you had
no issues with it):

  http://svn.rails-engines.org/engines/tags/rel_1.1.1

If you can provide any information about what might be causing your
app to die, please do post it to http://dev.rails-engines.org/

Cheers & good luck,

James
Philip H. (Guest)
on 2006-05-12 01:03
(Received via mailing list)
> The ticket for that issue is here:
>
> http://dev.rails-engines.org/tickets/137
>
> I couldn't replicate it, so I'm waiting for someone to present a
> minimal, self-contained demonstration of the issue. Fancy giving it a
> shot?

Heh.  I might, but not till about August.  No time till then.  I was
going
to use them to implement an audit sweeper as detailed in the
rails-recipes
book, but I shelved it as I've got other things I have to do first.

The other problem is our engine is RBAC and there's a lot of other code,
so coming up with a minimal excample might be hard :)

I'll bookmark this though and see if I can get around to it.
This topic is locked and can not be replied to.